// ApplyDefaultDlg.cpp : implementation file
//
// FlashQuiz v1.0
// Copyright  2000 Ziff Davis Media, Inc.
// Written by Gregory A. Wolking.

#include "stdafx.h"
#include "flashquiz.h"
#include "ApplyDefaultDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CApplyDefaultDlg dialog


CApplyDefaultDlg::CApplyDefaultDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CApplyDefaultDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CApplyDefaultDlg)
	m_bApplyScore = TRUE;
	m_bApplyReduce = TRUE;
	m_bApplyTime = TRUE;
	//}}AFX_DATA_INIT
}


void CApplyDefaultDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CApplyDefaultDlg)
	DDX_Check(pDX, IDC_chkApplyScore, m_bApplyScore);
	DDX_Check(pDX, IDC_chkApplyReduce, m_bApplyReduce);
	DDX_Check(pDX, IDC_chkApplyTime, m_bApplyTime);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CApplyDefaultDlg, CDialog)
	//{{AFX_MSG_MAP(CApplyDefaultDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CApplyDefaultDlg message handlers

void CApplyDefaultDlg::OnOK() 
{
	UpdateData(TRUE);
	if (!(m_bApplyScore || m_bApplyReduce || m_bApplyTime))
	{
		MessageBox("You must choose at least one settting to apply!", "FlashQuiz", MB_ICONINFORMATION);
		return;
	}
	CDialog::OnOK();
}
