#if !defined(AFX_PARMDLG_H__3E44F165_FE2F_11D3_A4C6_00A0CC307F9C__INCLUDED_)
#define AFX_PARMDLG_H__3E44F165_FE2F_11D3_A4C6_00A0CC307F9C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ParmDlg.h : header file
//
// FlashQuiz v1.0
// Copyright  2000 Ziff Davis Media, Inc.
// Written by Gregory A. Wolking.

/////////////////////////////////////////////////////////////////////////////
// CParmDlg dialog

class CParmDlg : public CDialog
{
// Construction
public:
	BOOL m_bInitialParms;
	CParmDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CParmDlg)
	enum { IDD = IDD_PARMS };
	CButton	m_cmdChangeFont;
	CButton	m_cmdApplyFont;
	CButton	m_chkFont;
	CButton	m_chkShowCorrect;
	CButton	m_cmdExportLog;
	CButton	m_cmdDeleteLog;
	CButton	m_cmdApplyAll;
	CEdit	m_txtScore;
	CEdit	m_txtReduceTime;
	CEdit	m_txtReduceScore;
	CSpinButtonCtrl	m_spnScore;
	CSpinButtonCtrl	m_spnReduceTime;
	CSpinButtonCtrl	m_spnReduceScore;
	CButton	m_chkReduce;
	CSpinButtonCtrl	m_spnTime;
	CEdit	m_txtDefaultTimeLimit;
	CButton	m_chkRandomA;
	CSpinButtonCtrl	m_spnMinutes;
	CButton	m_optType0;
	CButton m_optType1;
	CEdit	m_txtMinutes;
	CStatic	m_lblMinutes;
	BOOL	m_bRandomAnswers;
	BOOL	m_bRandomQuestions;
	BOOL	m_bLogResults;
	BOOL	m_bTimeLimit;
	UINT	m_intMinutes;
	int		m_intQuizType;
	UINT	m_intScore;
	BOOL	m_bDefaultTimeLimit;
	UINT	m_intDefaultTimeLimit;
	BOOL	m_bReduce;
	UINT	m_intReduceScore;
	UINT	m_intReduceTime;
	BOOL	m_bShowCorrect;
	BOOL	m_bFont;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CParmDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int Do_Choose_Font();
	LOGFONT m_fontCustom;
	BOOL Value_Changed();
	BOOL Validate_Defaults();
	void Enable_Numerics();

	// Generated message map functions
	//{{AFX_MSG(CParmDlg)
	afx_msg void OnchkLimit();
	afx_msg void OnchkLog();
	afx_msg void OncmdPassword();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnchkReduce();
	afx_msg void OnchkTimeLimit();
	afx_msg void OncmdApplyAll();
	afx_msg void OncmdExportLog();
	afx_msg void OncmdDeleteLog();
	afx_msg void OncmdChangeFont();
	afx_msg void OncmdApplyFont();
	afx_msg void OnchkFont();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	afx_msg void OnoptType(UINT nIndex);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PARMDLG_H__3E44F165_FE2F_11D3_A4C6_00A0CC307F9C__INCLUDED_)
