#if !defined(AFX_QUIZEDITOR_H__AAC77821_EDE1_11D3_A4C6_00A0CC307F9C__INCLUDED_)
#define AFX_QUIZEDITOR_H__AAC77821_EDE1_11D3_A4C6_00A0CC307F9C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// QuizEditor.h : header file
//
// FlashQuiz v1.0
// Copyright  2000 Ziff Davis Media, Inc.
// Written by Gregory A. Wolking.

/////////////////////////////////////////////////////////////////////////////
// CQuizEditor dialog

class CQuizEditor : public CDialog
{
// Construction
public:
	CQuizEditor(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CQuizEditor)
	enum { IDD = IDD_QUIZ_EDIT };
	CButton	m_cmdSaveAs;
	CButton	m_cmdSave;
	CButton	m_cmdInsert;
	CButton	m_cmdMove2;
	CButton	m_cmdMove;
	CListBox	m_lstQuestions;
	CButton	m_cmdEditQuestion;
	CButton	m_cmdDeleteQuestion;
	CButton	m_cmdAddQuestion;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CQuizEditor)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void Rebuild_List(int iStart);
	void Set_Button_Status(void);
	void Set_Doc_Title();
//	BOOL Do_Query_Save();

	// Generated message map functions
	//{{AFX_MSG(CQuizEditor)
	afx_msg void OncmdAddQuestion();
	afx_msg void OncmdDeleteQuestion();
	afx_msg void OncmdEditQuestion();
	afx_msg void OnDblclklstQuestions();
	afx_msg void OnSelchangelstQuestions();
	afx_msg void OnSetfocuslstQuestions();
	virtual BOOL OnInitDialog();
	afx_msg void OncmdInsert();
	afx_msg void OncmdParameters();
	afx_msg void OncmdMove();
	afx_msg void OncmdMove2();
	afx_msg void OncmdSave();
	virtual void OnOK();
	afx_msg void OnClose();
	afx_msg void OncmdSaveAs();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_QUIZEDITOR_H__AAC77821_EDE1_11D3_A4C6_00A0CC307F9C__INCLUDED_)
